<?php
		require_once("../../dompdf/dompdf_config.inc.php");
		include '../../conexion/conn.php';
		$norma_id=$_GET['norma_id'];

header("Content-type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=Norma".$norma_id.".xls");

$rs = mysql_query("SELECT * FROM norma_plantilla WHERE norma_plantilla.norma_id='$norma_id'");
	if($row = mysql_fetch_array($rs)){
		$nombre_norma=$row['norma_descripcion'];
	}		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Norma</title>
</head>
<body>
  
<?PHP
echo '<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="7" bgcolor="skyblue"><CENTER><strong>'.$nombre_norma.'</strong></CENTER></td>
  </tr>';
		
$rs = mysql_query("SELECT parametros.parametro_nombre, norma_detalle_parametro.id_parametro FROM norma_detalle_parametro INNER JOIN parametros ON parametros.id_parametro=norma_detalle_parametro.id_parametro WHERE norma_detalle_parametro.norma_id='$norma_id' ORDER BY 'norma_detalle_parametro.orden' ASC");
	while($row = mysql_fetch_array($rs)){
echo '	
	<tr>
		<td colspan="7" align="center" bgcolor="skyblue">'.$row['parametro_nombre'].'</td>										
	</tr>
	<tr>
		<td>Defecto</td>
		<td>Val1</td>
		<td>Val2</td>
		<td>Val3</td>
		<td>Val4</td>
		<td>Tipo Interno</td>										
	</tr>';
	$rs2 = mysql_query("SELECT defectos.defecto_nombre, norma_detalle.norma_det_valor1, norma_detalle.norma_det_valor2, norma_detalle.norma_det_valor3, norma_detalle.norma_det_valor4, norma_detalle.norma_det_valor_tipo FROM norma_detalle INNER JOIN defectos ON defectos.defecto_id=norma_detalle.defecto_id WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.id_parametro='".$row['id_parametro']."' ORDER BY norma_detalle.norma_det_orden ASC");
	while($row2 = mysql_fetch_array($rs2)){
		echo '<tr>
			<td>'.$row2['defecto_nombre'].'</td>
			<td width="40" align="center">'.$row2['norma_det_valor1'].'</td>
			<td width="40" align="center">'.$row2['norma_det_valor2'].'</td>
			<td width="40" align="center">'.$row2['norma_det_valor3'].'</td>
			<td width="40" align="center">'.$row2['norma_det_valor4'].'</td>
			<td>'.$row2['norma_det_valor_tipo'].'</td>									
		</tr>';
	}
	
}
echo '
</table>';
?>
</body>
</html>